# PhasicFlow: iBox< intType > Class Template Reference

iBox< intType > Class Template Reference
Collaboration diagram for iBox< intType >:
[legend]

## Public Member Functions

| TypeInfoTemplateNV ("iBox", intType)
INLINE_FUNCTION_HD | iBox ()
INLINE_FUNCTION_HD | iBox (const triple< intType > &minP, const triple< intType > &maxP)
FUNCTION_H | iBox (const dictionary &dict)
FUNCTION_H | iBox (iIstream &is)
FUNCTION_HD | iBox (const iBox &)=default
FUNCTION_HD | iBox (iBox &&)=default
FUNCTION_HD iBox & | operator= (const iBox &)=default
FUNCTION_HD iBox & | operator= (iBox &&)=default
| ~iBox ()=default
INLINE_FUNCTION_HD bool | isInside (const triple< intType > &point) const
const INLINE_FUNCTION_HD triple< intType > & | minPoint () const
const INLINE_FUNCTION_HD triple< intType > & | maxPoint () const
FUNCTION_H bool | read (iIstream &is)
FUNCTION_H bool | write (iOstream &os) const
FUNCTION_H bool | read (const dictionary &dict)
FUNCTION_H bool | write (dictionary &dict) const

## Protected Attributes

triple< intType > | min_
triple< intType > | max_

## Detailed Description

### template<typename intType>
class pFlow::iBox< intType >

Definition at line 33 of file iBox.hpp.

## Constructor & Destructor Documentation

## iBox() [1/6]

INLINE_FUNCTION_HD iBox

Definition at line 24 of file iBox.cpp.

## iBox() [2/6]

INLINE_FUNCTION_HD iBox | ( | const triple< intType > & | minP,
|  | const triple< intType > & | maxP
| ) |  |

Definition at line 33 of file iBox.cpp.

## iBox() [3/6]

FUNCTION_H iBox | ( | const dictionary & | dict | ) |

Definition at line 44 of file iBox.cpp.

## iBox() [4/6]

FUNCTION_H iBox | ( | iIstream & | is | ) |

Definition at line 61 of file iBox.cpp.

References fatalExit, ioErrorInFile, IOstream::lineNumber(), and IOstream::name().

Here is the call graph for this function:

## iBox() [5/6]

FUNCTION_HD iBox | ( | const iBox< intType > & |  | ) |

default

## iBox() [6/6]

FUNCTION_HD iBox | ( | iBox< intType > && |  | ) |

default

## ~iBox()

~iBox | ( |  | ) |

default

## Member Function Documentation

## TypeInfoTemplateNV()

TypeInfoTemplateNV | ( | "iBox< intType >" | ,
|  | intType |
| ) |  |

## operator=() [1/2]

FUNCTION_HD iBox& operator= | ( | const iBox< intType > & |  | ) |

default

## operator=() [2/2]

FUNCTION_HD iBox& operator= | ( | iBox< intType > && |  | ) |

default

## isInside()

INLINE_FUNCTION_HD bool isInside | ( | const triple< intType > & | point | ) | const

Definition at line 76 of file iBox.cpp.

## minPoint()

const INLINE_FUNCTION_HD triple<intType>& minPoint | ( |  | ) | const

inline

Definition at line 81 of file iBox.hpp.

References iBox< intType >::min_.

## maxPoint()

const INLINE_FUNCTION_HD triple<intType>& maxPoint | ( |  | ) | const

inline

Definition at line 87 of file iBox.hpp.

References iBox< intType >::max_.

## read() [1/2]

FUNCTION_H bool read | ( | iIstream & | is | ) |

Definition at line 85 of file iBox.cpp.

References iIstream::nextData().

Here is the call graph for this function:

## write() [1/2]

FUNCTION_H bool write | ( | iOstream & | os | ) | const

Definition at line 94 of file iBox.cpp.

References IOstream::check(), FUNCTION_NAME, and iOstream::writeWordEntry().

Here is the call graph for this function:

## read() [2/2]

FUNCTION_H bool read | ( | const dictionary & | dict | ) |

Definition at line 104 of file iBox.cpp.

References dictionary::getVal().

Here is the call graph for this function:

## write() [2/2]

FUNCTION_H bool write | ( | dictionary & | dict | ) | const

Definition at line 116 of file iBox.cpp.

References dictionary::add(), pFlow::endl(), fatalErrorInFunction, and dictionary::globalName().

Here is the call graph for this function:

## Member Data Documentation

## min_

triple<intType> min_

protected

Definition at line 38 of file iBox.hpp.

Referenced by iBox< intType >::minPoint().

## max_

triple<intType> max_

protected

Definition at line 41 of file iBox.hpp.

Referenced by iBox< intType >::maxPoint().

The documentation for this class was generated from the following files:

- src/phasicFlow/structuredData/iBox/iBox.hpp
- src/phasicFlow/structuredData/iBox/iBox.cpp